<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/ASG/Builtin.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.ASG.Builtin</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../ASG.html" >ASG</a>
</div><div class="class-name">class Builtin

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/ASG.py.html" target="detail">../Synopsis/ASG.py</a></div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Builtin" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line268" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Builtin-inheritance" src="Builtin-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Builtin-inheritance_map" />
<map name="Builtin-inheritance_map"><area alt="Scopes/Synopsis/ASG/UsingDeclaration.html" href="UsingDeclaration.html" shape="rect" coords="5, 156, 205, 180" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/ModuleIndex/ModuleIndex.html" href="../Formatters/HTML/Views/ModuleIndex/ModuleIndex.html" shape="rect" coords="229, 156, 603, 180" />
<area alt="Scopes/Synopsis/QualifiedName/QualifiedName.html" href="../QualifiedName/QualifiedName.html" shape="rect" coords="627, 156, 872, 180" />
<area alt="Scopes/Synopsis/ASG/UsingDirective.html" href="UsingDirective.html" shape="rect" coords="896, 156, 1083, 180" />
<area alt="Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html" href="../Parsers/Cpp/Cpp/Parser.html" shape="rect" coords="1107, 156, 1312, 180" />
<area alt="Scopes/Synopsis/Formatters/HTML/Markup/RST/SummaryExtractor.html" href="../Formatters/HTML/Markup/RST/SummaryExtractor.html" shape="rect" coords="1336, 156, 1699, 180" />
<area alt="Scopes/Synopsis/ASG/Declaration.html" href="Declaration.html" shape="rect" coords="785, 7, 953, 31" />
</map>
 <div class="doc">A node for internal use only.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Builtin.accept" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line271" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from Declaration">
<tr><td colspan="2" class="heading">Attributes Inherited from Declaration</td></tr>
<tr><td class="inherited"><a href="Declaration.html#file" title="attribute Declaration.file">file</a>,
<a href="Declaration.html#line" title="attribute Declaration.line">line</a>,
<a href="Declaration.html#name" title="attribute Declaration.name">name</a>,
<a href="Declaration.html#type" title="attribute Declaration.type">type</a>,
<a href="Declaration.html#accessibility" title="attribute Declaration.accessibility">accessibility</a>,
<a href="Declaration.html#annotations" title="attribute Declaration.annotations">annotations</a></td></tr></table>
<table width="100%" summary="Methods Inherited from Declaration">
<tr><td colspan="2" class="heading">Methods Inherited from Declaration</td></tr>
<tr><td class="inherited"><a href="Declaration.html#__init__" title="method Declaration.__init__">__init__</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:52 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
